=== debian/changelog ===
fonts-hosny-amiri (0.015-1) unstable; urgency=low

  * New upstream release.
  * Use fontforge to build the font
    + debian/control: Added python-fontforge and fntsample to Build-Deps
    + debian/rules:
      - Remove empty override for dh_auto_clean
      - Override dh_auto_build to build font & documentation
  * Added missing_lang.fea.diff to add sources/lang.fea file that was
    forgotten by upstream.
  * Added doc-clean.diff patch to remove temporary files generated at doc.
    build
  * debian/docs: Install Unicode coverage documentation.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 18 Jul 2011 07:28:45 +0200

fonts-hosny-amiri (0.014-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated copyright years.
  * debian/control: Moved packaging to Git

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 19 Jun 2011 10:40:32 +0200

fonts-hosny-amiri (0.013-1) unstable; urgency=low

  [ Ahmed El-Mahmoudy ]
  * New upstream release

  [ Christian Perrier ]
  * Add DM-Upload-Allowed field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 02 May 2011 05:28:30 +0200

fonts-hosny-amiri (0.011-1) unstable; urgency=low

  * New upstream release
  * debian/docs: Updated paths
  * debian/control: Bumped Standards-Version to 3.9.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Apr 2011 15:16:52 +0200

fonts-hosny-amiri (0.009-1) unstable; urgency=low

  * New upstream release
  * Rename package to fonts-hosny-amiri (Closes: #612565)
  * debian/control:
    + Add Replaces: font-hosny-amiri (<< 0.009)
    + Add Provides: font-hosny-amiri
    + font-hosny-amiri is now a transitional package that
      Depends: fonts-hosny-amiri
    + Updated Vcs-* fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 19 Feb 2011 20:52:50 +0200

font-hosny-amiri (0.003-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Clarify that the font is an Arabic font in the description, also mention
      that it does not contain Latin characters. (Closes: #602675)
    + Change section to fonts. (Closes: #602717)
  * Added debian/docs

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 08 Nov 2010 12:41:33 +0200

font-hosny-amiri (0.001-1) unstable; urgency=low

  * Initial release (Closes: #597441)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 19 Sep 2010 22:45:50 +0300
