=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), python-fontforge, fntsample
Standards-Version: 3.9.2
Homepage: http://amiri.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git

Package: fonts-hosny-amiri
Architecture: all
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri font is an Arabic Naskh style, typographically oriented font, mainly for
 printing and running text.
 .
 Amiri font is a revival of the beautiful typeface pioneered by Bulaq Press,
 also known as Amiria Press, hence the name.
 .
 The uniqueness of this typeface comes from its superb balance between the
 beauty of Naskh calligraphy on the one hand, and the constraints and
 requirements of elegant typography on the other. Also, it is one of the few
 metal typefaces that were used in typesetting the Koran (as opposed to the
 usual handwritten calligraphy), making it a good source for a typeface to be
 used in typesetting Koranic verses.
 .
 Amiri Font Project aims at the revival of the aesthetics and traditions of
 Arabic typesetting (if partially), and adapting it to the era of digital
 typesetting, in a publicly available form.
 .
 This font does not contain Latin characters.

Package: font-hosny-amiri
Architecture: all
Depends: ${misc:Depends}, fonts-hosny-amiri
Description: Arabic Naskh style typographically oriented font (transitional package)
 Amiri font is an Arabic Naskh style, typographically oriented font, mainly for
 printing and running text.
 .
 Amiri font is a revival of the beautiful typeface pioneered by Bulaq Press,
 also known as Amiria Press, hence the name.
 .
 The uniqueness of this typeface comes from its superb balance between the
 beauty of Naskh calligraphy on the one hand, and the constraints and
 requirements of elegant typography on the other. Also, it is one of the few
 metal typefaces that were used in typesetting the Koran (as opposed to the
 usual handwritten calligraphy), making it a good source for a typeface to be
 used in typesetting Koranic verses.
 .
 Amiri Font Project aims at the revival of the aesthetics and traditions of
 Arabic typesetting (if partially), and adapting it to the era of digital
 typesetting, in a publicly available form.
 .
 This font does not contain Latin characters.
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.
