## fonts-hosny-amiri 0.016

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,19 @@
-.PHONY: all clean ttf web pack
+.PHONY: all clean ttf web pack check
 
-VERSION=0.015
+VERSION=0.016
 
 TOOLS=tools
 SRC=sources
 WEB=web
 DOC=documentation
+TESTS=test-suite
 FONTS=amiri-regular
+# the order of feature files is important
+FEA=lang classes locl ccmp gsub quran tnum rtlm lellah calt kern
+DOCS=README README-Arabic NEWS NEWS-Arabic
 
 BUILD=$(TOOLS)/build.py
+RUNTEST=$(TOOLS)/runtest.py
 FF=python $(BUILD)
 MKEOT=ttf2eot
 
@@ -19,9 +24,10 @@
 EOTS=$(FONTS:%=$(WEB)/%.eot)
 PDFS=$(FONTS:%=$(DOC)/%-table.pdf)
 CSSS=$(WEB)/amiri.css
-FEAT=$(SRC)/classes.fea $(SRC)/gsub.fea $(SRC)/locl.fea $(SRC)/tnum.fea $(SRC)/lellah.fea $(SRC)/calt.fea $(SRC)/kern.fea
+FEAT=$(FEA:%=$(SRC)/%.fea)
+TEST=$(wildcard $(TESTS)/*.test)
 
-docfiles=$(DOC)/README.txt $(DOC)/README-Arabic.txt $(DOC)/NEWS.txt $(DOC)/NEWS-Arabic.txt
+DOCFILES=$(DOCS:%=$(DOC)/%.txt)
 license=OFL.txt OFL-FAQ.txt
 
 all: ttf web
@@ -60,6 +66,10 @@
 	@fntsample --font-file $< --output-file $@.tmp --print-outline > $@.txt
 	@pdfoutline $@.tmp $@.txt $@
 
+check: $(TEST)
+	@echo "running tests"
+	@$(RUNTEST) $^
+
 clean:
 	@rm -rf $(DTTF) $(WTTF) $(WOFF) $(EOTS) $(CSSS)
