=== debian/changelog ===
fonts-hosny-amiri (0.016-1) unstable; urgency=low

  * New upstream release.
  * Drop missing_lang.fea.diff patch: included upstream
  * Refreshed doc-clean.diff patch
  * debian/rules: Disable dh_auto_test until HarfBuzz is available in Debian.
  * debian/copyright: Updated copyright format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 24 Sep 2011 22:48:04 +0200
