=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,5 @@
 override_dh_auto_build:
 	make ttf
 	make table
+
+override_dh_auto_test:
