=== debian/changelog ===
fonts-hosny-amiri (0.100-1) unstable; urgency=low

  * New upstream release.
  * Removed doc-clean.diff patch as it is included upstream.
  * debian/rules: Target to build documentation is renamed to doc
  * debian/docs: Documentation got renamed to amiri-table.pdf
  * debian/control:
    + Updated homepage URL
    + Marked font-hosny-amiri as oldlibs/extra

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 05 Dec 2011 11:00:08 +0200
