=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), python-fontforge, fntsample
 Standards-Version: 3.9.2
-Homepage: http://amiri.sourceforge.net
+Homepage: http://www.amirifont.org
 Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
 Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git
 
@@ -37,6 +37,8 @@
 
 Package: font-hosny-amiri
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, fonts-hosny-amiri
 Description: Arabic Naskh style typographically oriented font (transitional package)
  Amiri font is an Arabic Naskh style, typographically oriented font, mainly for
