=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,6 @@
 
 override_dh_auto_build:
 	make ttf
-	make table
+	make doc
 
 override_dh_auto_test:
