=== debian/changelog ===
fonts-hosny-amiri (0.101-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated extended description
    + Added fonttools to Build-Deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 29 Dec 2011 09:39:31 +0200
