=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), python-fontforge, fntsample, fonttools
Standards-Version: 3.9.2
Homepage: http://www.amirifont.org
Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git

Package: fonts-hosny-amiri
Architecture: all
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.
 .
 This font does not contain Latin characters.

Package: font-hosny-amiri
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, fonts-hosny-amiri
Description: Arabic Naskh style typographically oriented font (transitional package)
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.
 .
 This font does not contain Latin characters.
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.
