## fonts-hosny-amiri 0.103

=== debian/changelog ===
fonts-hosny-amiri (0.103-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Compress package with xz

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 06 Jun 2012 07:41:00 +0200

fonts-hosny-amiri (0.102-2) unstable; urgency=low

  * debian/control: Modified description, the font now provides Latin support.
    Thanks to Khaled Hosny <khaledhosny@eglug.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 26 May 2012 17:33:40 +0200

fonts-hosny-amiri (0.102-1) unstable; urgency=low

  * New upstream release.
  * Bumped compat level to 9
  * debian/control: Bumped Standards-Version to 3.9.3
  * debian/copyright: Updated copyright format & years.
  * debian/rules: Re-enable dh_auto_test, the upstream makefile checks for
    HarfBuzz before running checks.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 26 May 2012 10:06:19 +0200
