=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), python-fontforge, fntsample, fonttools
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-fontforge, fntsample, fonttools
+Standards-Version: 3.9.3
 Homepage: http://www.amirifont.org
 Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
 Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git
@@ -26,8 +26,6 @@
  Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
  blocks, as well as the compatibility Arabic Presentation Forms-A and B
  blocks.
- .
- This font does not contain Latin characters.
 
 Package: font-hosny-amiri
 Architecture: all
@@ -46,7 +44,5 @@
  blocks, as well as the compatibility Arabic Presentation Forms-A and B
  blocks.
  .
- This font does not contain Latin characters.
- .
  This is a dummy transitional package that will ensure a proper upgrade path.
  This package may be safely removed after upgrading.
