=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,5 @@
 	make ttf
 	make doc
 
-override_dh_auto_test:
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
