=== debian/changelog ===
fonts-hosny-amiri (0.107-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Upstream now releases in zip format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 30 Dec 2013 15:52:58 +0200

fonts-hosny-amiri (0.106-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Do not rebuild the fonts, just install them.
  * debian/control:
    + Bumped Standards-Version to 3.9.5
    + Remove obsolete DMUA field.
    + Use canonical URIs in VCS-* fields.
    + Removed python-fontforge, fntsample, fonttools from Build-Deps
    + Used fontforge-nox | fontforge in Build-Deps-Indep
    + Add Multi-Arch: foreign field.
  * debian/copyright: Updated copyright years.
  * debian/docs: Added documentation-arabic.pdf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 29 Dec 2013 13:17:00 +0200
