=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), python-fontforge, fntsample, fonttools
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: fontforge-nox | fontforge
+Standards-Version: 3.9.5
 Homepage: http://www.amirifont.org
-Vcs-Git: git://git.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
-Vcs-Browser: http://git.debian.org/?p=pkg-fonts/fonts-hosny-amiri.git
+Vcs-Git: git://anonscm.debian.org/pkg-fonts/fonts-hosny-amiri.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/fonts-hosny-amiri.git
 
 Package: fonts-hosny-amiri
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Replaces: font-hosny-amiri (<< 0.009)
 Provides: font-hosny-amiri
