=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_test:

override_dh_builddeb:
	dh_builddeb -- -Zxz
