=== debian/changelog ===
fonts-hosny-amiri (0.109-2) unstable; urgency=medium

  * Update Standards-Version to 4.1.1
  * Remove transitional package (Closes: #878491)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 22 Oct 2017 03:16:26 +0200

fonts-hosny-amiri (0.109-1) unstable; urgency=medium

  * New upstream release (LP: #1546182)
  * Bumped compat level
  * Change priority of transitional package to optional
  * Update Standards-Version to 4.1.0
  * Change Vcs-* fields to secure URLs
  * Update watch file since upstream switched to GitHub
  * Update copyright years
  * Update my email address
  * Add upstream metadata

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 29 Sep 2017 04:06:20 +0200
