=== debian/control ===
Source: fonts-hosny-amiri
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: fontforge-nox | fontforge
Standards-Version: 4.1.1
Homepage: http://www.amirifont.org
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-hosny-amiri.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-hosny-amiri.git

Package: fonts-hosny-amiri
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: font-hosny-amiri (<< 0.009)
Provides: font-hosny-amiri
Description: Arabic Naskh style typographically oriented font
 Amiri is a classical Arabic typeface in Naskh style for typesetting
 books and other running text.
 .
 Its design is a revival of the beautiful typeface pioneered in early
 20th century by Bulaq Press in Cairo, also known as Amiria Press, after
 which the font is named.
 .
 Amiri font covers the full Unicode 6.0 Arabic and Arabic Supplement
 blocks, as well as the compatibility Arabic Presentation Forms-A and B
 blocks.
