=== debian/changelog ===
fonts-hosny-amiri (0.111-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 Oct 2019 13:53:59 -0700

fonts-hosny-amiri (0.111-2) unstable; urgency=medium

  * Updated standards version to 4.1.5
  * Bumped compat level to 11
  * Fix path of docs to install (Closes: #903171)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Jul 2018 04:51:45 +0200

fonts-hosny-amiri (0.111-1) unstable; urgency=medium

  * New upstream release
  * Update standards version
  * Update Vcs-* URLs
  * Switch to secure copyright format URL
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 19 Jun 2018 03:01:34 +0200
