=== requirements.txt ===
fonttools[woff]==3.42.0
opentype-sanitizer==7.1.9
pcpp==1.20.1
#HarfPy==0.8
