=== debian/changelog ===
fonts-hosny-amiri (0.112-2) unstable; urgency=medium

  * Add Rules-Requires-Root: no
  * Use https for Homepage
  * Replace debhelper & d/compat with: debhelper-compat (= 12) in build-deps
  * d/watch: use v4 syntax

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 18 Oct 2019 03:46:17 +0200

fonts-hosny-amiri (0.112-1) unstable; urgency=medium

  * Imported Upstream version 0.112
  * Bumped compat level to 12
  * Update standards version to 4.4.1
  * Update copyright years
  * Remove override for dh_builddeb

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 11 Oct 2019 11:38:45 +0200
