=== requirements.txt ===
cffsubr==0.2.1
fonttools[ufo,lxml]==4.10.2
pcpp==1.21
skia-pathops==0.4.1
ufo2ft==2.14.0
ufoLib2==0.7.1
git+git://github.com/alif-type/sfdLib.git@v1.0.5#egg=sfdLib
