=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fonts-hosny-amiri
 Section: fonts
 Priority: optional
-Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: fontforge-nox | fontforge
-Standards-Version: 4.4.1
-Rules-Requires-Root:no
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.amirifont.org
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-hosny-amiri.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-hosny-amiri
