=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/fonts-hosny-amiri-$1.tar.gz/" \
  https://github.com/alif-type/amiri/releases .*?v?(\d[\d\.]*)\.tar\.gz
